docker_kernel_min_version: '3.2'

docker_package_info:
  pkg_mgr: apt
  args:
    pkg: "{{ item }}"
    update_cache: yes
    cache_valid_time: 600
    state: latest
  pre_pkgs: 
    - apt-transport-https
    - curl
    - software-properties-common
  pkgs:
    - docker-engine

docker_repo_key_info:
  pkg_key: apt_key
  args:
    id: "{{ item }}"
    keyserver: hkp://p80.pool.sks-keyservers.net:80
    state: present
  repo_keys:
    - 58118E89F3A912897C070ADBF76221572C52609D 

docker_repo_info:
  pkg_repo: apt_repository
  args:
    repo: "{{ item }}"
    update_cache: yes
    state: present
  repos:
    - >
       deb https://apt.dockerproject.org/repo 
       {{ ansible_distribution|lower }}-{{ ansible_distribution_release|lower }}
       main
